package org.rcisoft.business.overview.dao;

import org.rcisoft.business.overview.entity.BusProjectArea;
import org.rcisoft.core.base.BaseMapper;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;


import java.util.List;

/**
* Created with  on 2018-4-13 13:51:00.
*/
@Repository
public interface BusProjectAreaRepository extends BaseMapper<BusProjectArea> {

    /**
     * 查询水电气的用量标准信息、建筑面积
     * @param busProjectArea
     * @return
     */
    @Select("<script>select * from bus_project_area b where b.PRO_ID=#{proId}</script>")
    @ResultMap(value = "BaseResultMap")
    List<BusProjectArea> queryBusProjectAreas(BusProjectArea busProjectArea);
}

